PDA

View Full Version : 8.5 + 9.0 + 9.2



byte_fx
05-19-2007, 10:12 AM
After checking out the 9.0 trial and 9.2 trial versions it seems the time has come to upgrade.

Kinda.

Problem is ..... 8.5, 9.0 and 9.2 all have their strengths and weaknesses to the point I need to keep all installed and working.

Which is where the problems seem to start.

I've set completely different install folders, config folders, content folders, etc. but there still seems to some unexpected conflicts.

One of which involves importing .3ds, .dfx and .obj files.

With 9.2 trial installed non .lwo file import is broken under all three versions.

I get a message about an import .p file being missing - even under 8.5.

Far as I can tell I have the paths set up properly as everything seems to work ok. (Taking into consideration the bits that are broken in each version.)

This problem kept occurring even after 'unistalling' 9.2 - including manual deletion of the parts XP misses.

The only way I get rid of the problem was to reformat the hd and reinstall everything.

Everything was once again ok with 8.5 and 9.0 trial coexsisting peacefully until the 9.2 trial was added.

Back to everything being broken.

The problem may still be something to do with path setups.

If anyone is successfully running all three versions can you share your path setups?

Unless I can find some solution to this it looks like I'll have to stick with 8.5 much as I would like to have 9.2's GI render engine and materials and the parts of 9.0 that are broken in 9.2.

byte_fx

dballesg
05-19-2007, 10:41 AM
HI,

I had installed in the office the three versions until a couple of days ago. 32bits and 64 bits versions. So that counts as 6 installations.

Do you use your own paths to install lw?

For example I installed 8.0 on C:\Lightwave\ and C:\Lightwave64
9.0 on C:\LW9_32 and C:\LW9_64 and 9.2 on C:\LW9_2_32 and C:\LW9_2_64.

I have my configs for each version redirected to a "Configs" dir inside of those. So for example I will have a C:\LW9_2_32\Configs

And be very careful of close the hub every time you execute a different version.

I've seen sometimes the 64 bits getting the paths for the 32 bits, because I didn't closed the Hub64 BEFORE I opened the 32 bits version.

I hope this helps.

Best regards,
David

byte_fx
05-19-2007, 11:03 AM
Thanks for responding.

Yes - LW 8.5 is in the default folder it installs to.

The 9.0 trial is in LW_90_Trial directory and 9.2 is in the LW_92_Trial directory.

The hub doesn't auomatically open in the trial versions so closing it shouldn't be a problem.

However - since it doesn't open in the first place that may be the problem.

It might be that, for some reason, 9.0 is happy w/o the hub opening while 9.2 needs the hub to open - or at least point to the 9.2 install.

I do have seperate Config folders labeled LW_85, LW_90 and LW_92 respectively.

Maybe I'm missing something in pointing to the respective configs.

What does your command line pointing to the configs file look like?

I really need to run all three versions for several reasons.

Thanks

byte_fx

Silkrooster
05-19-2007, 06:18 PM
Thing to keep in mind, is if you do not use the switch for pointing to another location for the config files, that versions 8+ and 9+ will coexist peacefully. Because the version number is part of the config's file name.
However point upgrades will use the older config files so a users setup does not get changed. This is why there are issues with not being able to find newer features in the upgrade.

If I recall the switch for changing the config files location is "c:\program files\Newtek\Lightwave 9\programs\modeler.exe" -c:"c:\program files\Newtek\Lightwave 9\new folder"

Hopefully the above is correct,
Silk

byte_fx
05-19-2007, 06:55 PM
Thanks Silkrooster.

I just double checked after doing another format and reinstall.

The problem does seem to be with the 9.2 Trial version.

I get the same missing plugin error if only 8.5 and 9.2 Trial are installd. If only 8.5 and 9.0 trial are installed I don't get errors.

The plugin is present in the correct location and the 9.2 configs point to it.

For some reason it's breaking 8.5 though.

And I get error if only 9.2 is installed.

Has me buffaloed.

BTW - this happens on both Xeon box and the Mac Pro running XP SP2 under bootcamp 1.2. Same build number of XP - in fact the serial bumbers are sequential as I bought a five pack back when.

It's probably something I'm doing wrong.

If it worked ok under 9.2 I'd consider dumping the other versions to get materials and faster, more flexible GI.

Wouldn't like contending with the bits of 9.2 that are broken but I can work around those for the most part.

byte_fx

Silkrooster
05-19-2007, 07:50 PM
I do not see any reason for 9.2 to break 8.5. They don't share folders and they don't share config files. The only thing they might share is the hub. But you are using the demo version, which shouldn't use the hub.
Are you trying to share a plugin folder between the two programs?
Silk

byte_fx
05-19-2007, 10:18 PM
No.

As I say it really has me stumped.

One thing I have just determined - if I unplug the dongle for 8.5 it doeasn't get crashed on object import. Of course I'm then in Discovery mode ....

Maybe I'll try a new dongle driver when I get a chance. If I upgrade to 9.2 I'll probably need a new dongle anyway for the Mac UB version when it comes out. Right now I'm on a late version purple dongle.

Might try re-downloading the 9.2 trial also.

byte_fx

Lewis
05-22-2007, 04:15 PM
I'm having LW 7.0, 7.5, 8.5, 9.0 and 9.2 on same machine and all working fine with their own configs - no conflicts even if I start 8.0 and 9.2 in same time - both works fine with single HUB :).